Status: In Progress Start date: 01/24/2012
Priority: Normal Due date:
Assignee: % Done: 20%
Category: Estimated time: 0.00 hour
Target version:
Description

Optionally compile benchmarks of several files into a single binary to be executed at once and get the consolidated results.

History
#1 - 02/22/2012 05:48 PM - Anonymous
- Description updated

#2 - 06/22/2012 04:38 PM - M. Rolf
- % Done changed from 0 to 20

Added BenchAll.cpp that includes all other files.

What is prohibited in this scenario is that multiple files define hints like NEMO_REP_COUNT_HINT in the global namespace. With hints inside the
BENCH_SUITEs it does compile, but runs with the same hint-values for all suites, even if different values have been specified. This is due to the
current implementation that evaluates the hint-values for the actual execution from a global variable. In fact, these hints /should/ be properties of a
BenchSuite (see #948).

What's still missing is that the executables display some cummulative information like total runtime.

#3 - 06/22/2012 04:40 PM - M. Rolf
- Status changed from New to In Progress
